ASMHelperImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.util

## Class ASMHelperImpl

- java.lang.Object
- - org.apache.cxf.common.util.ASMHelperImpl

- All Implemented Interfaces:
    `ASMHelper`

      public class ASMHelperImpl
      extends Object
      implements ASMHelper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cxf.common.util.ASMHelper

      `ASMHelper.AnnotationVisitor, ASMHelper.ASMType, ASMHelper.ClassWriter, ASMHelper.FieldVisitor, ASMHelper.Label, ASMHelper.MethodVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `badASM` |
    `protected static Map<Class<?>,​String>` | `NONPRIMITIVE_MAP` |
    `protected static Map<Class<?>,​String>` | `PRIMITIVE_MAP` |
    `protected static Map<Class<?>,​Integer>` | `PRIMITIVE_ZERO_MAP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASMHelperImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ASMHelper.ClassWriter` | `createClassWriter()` |
    `ASMHelper.Label` | `createLabel()` |
    `Class<?>` | `getASMClass()` |
    `String` | `getClassCode​(Class<?> cl)` |
    `String` | `getClassCode​(Type type)` |
    `String` | `getMethodSignature​(Method m)` |
    `String` | `getNonPrimitive​(Class<?> tp)` |
    `OpcodesProxy` | `getOpCodes()` |
    `String` | `getPrimitive​(Class<?> tp)` |
    `ASMHelper.ASMType` | `getType​(String type)` |
    `void` | `setBadASM​(boolean b)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIMITIVE_MAP

          protected static final Map<Class<?>,​String> PRIMITIVE_MAP

    - #### NONPRIMITIVE_MAP

          protected static final Map<Class<?>,​String> NONPRIMITIVE_MAP

    - #### PRIMITIVE_ZERO_MAP

          protected static final Map<Class<?>,​Integer> PRIMITIVE_ZERO_MAP

    - #### badASM

          protected boolean badASM

  - ### Constructor Detail

    - #### ASMHelperImpl

          public ASMHelperImpl()

  - ### Method Detail

    - #### getASMClass

          public Class<?> getASMClass()
                               throws ClassNotFoundException

      Specified by:
        `getASMClass` in interface `ASMHelper`
      Throws:
        `ClassNotFoundException`

    - #### getOpCodes

          public OpcodesProxy getOpCodes()

      Specified by:
        `getOpCodes` in interface `ASMHelper`

    - #### setBadASM

          public void setBadASM​(boolean b)

    - #### getMethodSignature

          public String getMethodSignature​(Method m)

      Specified by:
        `getMethodSignature` in interface `ASMHelper`

    - #### getNonPrimitive

          public String getNonPrimitive​(Class<?> tp)

      Specified by:
        `getNonPrimitive` in interface `ASMHelper`

    - #### getPrimitive

          public String getPrimitive​(Class<?> tp)

      Specified by:
        `getPrimitive` in interface `ASMHelper`

    - #### getClassCode

          public String getClassCode​(Class<?> cl)

      Specified by:
        `getClassCode` in interface `ASMHelper`

    - #### getClassCode

          public String getClassCode​(Type type)

      Specified by:
        `getClassCode` in interface `ASMHelper`

    - #### createClassWriter

          public ASMHelper.ClassWriter createClassWriter()

      Specified by:
        `createClassWriter` in interface `ASMHelper`

    - #### getType

          public ASMHelper.ASMType getType​(String type)

      Specified by:
        `getType` in interface `ASMHelper`

    - #### createLabel

          public ASMHelper.Label createLabel()

      Specified by:
        `createLabel` in interface `ASMHelper`